<div *ngIf="!component" class="d-flex justify-content-center h-100">
  <div class="spinner-border m-auto" role="status">
    <span class="sr-only">Loading...</span>
  </div>
</div>

<div *ngIf="component" class="row justify-content-between mb-4">
  <div class="col-lg-12 col-md-12 col-sm-12 mb-3">
    <div class="d-flex align-items-center">
      <button [routerLink]="[previousRoute]" class="btn btn-basic mr-3">
        <fa-icon [icon]="icons.faChevronLeft"></fa-icon>
      </button>
      <h2 class="mb-0">{{component.name}}</h2>
    </div>
<!--    <h1><fa-icon [icon]="['far', 'star']"></fa-icon>{{component.name}}</h1>-->
  </div>
  <div class="col-lg-12 col-md-12 col-sm-12">
    <form #componentForm="ngForm" (ngSubmit)="update(componentForm)">
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <div class="row mb-3">
              <div class="col-md-4">
                <label for="name">Nom</label>
                <input id="name" class="form-control" name="name" type="text" [ngModel]="component.name">
              </div>
              <div class="col-md-4">
                <label for="specification">Caractéristique</label>
                <select id="specification" name="specification" class="custom-select"
                        [ngModel]="component.specification">
                  <option value="">----</option>
                  <option *ngFor="let spec of specifications" [ngValue]="spec.id">{{spec.name}}</option>
                </select>
              </div>
              <div class="col-md-4">
                <label for="unit_of_use">Unité d'usage</label>
                <select id="unit_of_use" name="unit_of_use" class="custom-select" [ngModel]="component.unitOfUse">
                  <option value="">----</option>
                  <option *ngFor="let unit of unitsOfUse" [ngValue]="unit.id">{{unit.name}}</option>
                </select>
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-md-2">
                <label for="name">Montant</label>
                <div class="input-group">
                  <input id="amount" class="form-control" name="amount" type="text" [ngModel]="component.amount">
                  <div class="input-group-append">
                    <span class="input-group-text">€</span>
                  </div>
                </div>
              </div>
              <div class="col-md-2">
                <label for="name">Stock</label>
                <div class="input-group">
                  <input id="stock" class="form-control" name="stock" type="number" [ngModel]="component.stock">
                  <div class="input-group-append">
                    <span class="input-group-text">U</span>
                  </div>
                </div>
              </div>
              <div class="col-md-4">
                <label for="provider">Fournisseur</label>
                <select id="provider" name="provider" class="custom-select" [ngModel]="component.provider">
                  <option value="">----</option>
                  <option *ngFor="let prov of providers" [ngValue]="prov.id">{{prov.name}}</option>
                </select>
              </div>
              <div class="col-md-4">
                <label for="component_family">Famille de composant</label>
                <select id="component_family" name="component_family" class="custom-select"
                        [ngModel]="component.componentFamily">
                  <option value="">----</option>
                  <option *ngFor="let compFam of componentsFamilies" [ngValue]="compFam.id">{{compFam.name}}</option>
                </select>
              </div>
            </div>
          </div>
        </div>
      </div>
      <button class="btn btn-info" type="submit" [disabled]="!componentForm.form.valid">Mettre à jour</button>
    </form>
  </div>
</div>
